Public Attributes | List of all members
_aes_handle Struct Reference
Peripheral Driver » HAL Driver » AES » Structures » AES Handle

AES handle Structure definition. More...

`#include <gr55xx_hal_aes.h>`

## Public Attributes
aes_regs_t * | p_instance
aes_init_t | init
uint32_t * | p_cryp_input_buffer
uint32_t * | p_cryp_output_buffer
uint32_t | block_size
uint32_t | block_count
__IO hal_lock_t | lock
__IO hal_aes_state_t | state
__IO uint32_t | error_code
uint32_t | timeout
uint32_t | retention [18]

## Detailed Description

AES handle Structure definition.

Definition at line 129 of file gr55xx_hal_aes.h.

## Member Data Documentation

## ◆ block_count

uint32_t _aes_handle::block_count

Blocks count

Definition at line 141 of file gr55xx_hal_aes.h.

## ◆ block_size

uint32_t _aes_handle::block_size

Data size in blocks (16 bytes per block)

Definition at line 139 of file gr55xx_hal_aes.h.

## ◆ error_code

__IO uint32_t _aes_handle::error_code

AES Error code

Definition at line 147 of file gr55xx_hal_aes.h.

## ◆ init

aes_init_t _aes_handle::init

AES operation parameters

Definition at line 133 of file gr55xx_hal_aes.h.

## ◆ lock

__IO hal_lock_t _aes_handle::lock

Locking object

Definition at line 143 of file gr55xx_hal_aes.h.

## ◆ p_cryp_input_buffer

uint32_t* _aes_handle::p_cryp_input_buffer

Pointer to CRYP processing (encryption or decryption) input buffer

Definition at line 135 of file gr55xx_hal_aes.h.

## ◆ p_cryp_output_buffer

uint32_t* _aes_handle::p_cryp_output_buffer

Pointer to CRYP processing (encryption or decryption) output buffer

Definition at line 137 of file gr55xx_hal_aes.h.

## ◆ p_instance

aes_regs_t* _aes_handle::p_instance

AES registers base address

Definition at line 131 of file gr55xx_hal_aes.h.

## ◆ retention

uint32_t _aes_handle::retention[18]

AES important register information.

Definition at line 151 of file gr55xx_hal_aes.h.

## ◆ state

__IO hal_aes_state_t _aes_handle::state

AES operation state

Definition at line 145 of file gr55xx_hal_aes.h.

## ◆ timeout

uint32_t _aes_handle::timeout

Timeout for the AES operation

Definition at line 149 of file gr55xx_hal_aes.h.

The documentation for this struct was generated from the following file:

- gr55xx_hal_aes.h